%This script plots the evolution of the maximum, minimum and mean values
%of u for t=0:10 and h=0.0125

load Heat4
tt=10;
maxu=zeros(tt+1,1);
minu=zeros(tt+1,1);
meanu=zeros(tt+1,1);

for I=1:tt+1
    maxu(I)=max(u(:,I));
    minu(I)=min(u(:,I));
    meanu(I)=mean(u(:,I));
end

figure(77)
plot(0:tt,maxu,0:tt,minu,0:tt,meanu)
title('Evolution of "u"')
xlabel('t')
ylabel('u')
legend('max(u)','min(u)','mean(u)')
axis([0 10 -1.1 2.5])